package com.cit.sellfan.ui.view.preventivi;

import java.io.FileInputStream;

import com.cit.sellfan.business.GraficoPrestazioniCurveWeb;
import com.cit.sellfan.business.VariabiliGlobali;
import com.cit.sellfan.ui.template.jDisplayImageWeb;
import com.cit.sellfan.ui.template.jGraficoXYWeb;
import com.vaadin.server.StreamResource;
import com.vaadin.shared.ui.MarginInfo;
import com.vaadin.shared.ui.label.ContentMode;
import com.vaadin.ui.Alignment;
import com.vaadin.ui.CustomComponent;
import com.xdev.ui.XdevGridLayout;
import com.xdev.ui.XdevHorizontalLayout;
import com.xdev.ui.XdevImage;
import com.xdev.ui.XdevLabel;
import com.xdev.ui.XdevPanel;
import com.xdev.ui.XdevVerticalLayout;
import com.xdev.ui.XdevView;

import cit.sellfan.Costanti;
import cit.sellfan.classi.titoli.StringheUNI;

public class PreventiviMacchina extends XdevView {
	private VariabiliGlobali l_VG;
	private final jDisplayImageWeb imagelogoweb = new jDisplayImageWeb();
	public jGraficoXYWeb grafico = new jGraficoXYWeb();
	private GraficoPrestazioniCurveWeb graficoPrestazioniCurve = null;

	/**
	 * 
	 */
	public PreventiviMacchina() {
		super();
		this.initUI();
	}

	public void setVariabiliGlobali(final VariabiliGlobali variabiliGlobali) {
		this.l_VG = variabiliGlobali;
		this.graficoPrestazioniCurve = new GraficoPrestazioniCurveWeb(this.l_VG);
		try {
	        final FileInputStream fileIn = new FileInputStream(this.l_VG.Paths.rootResources + this.l_VG.Paths.rootLOGO + "logo.png");
	        this.imagelogoweb.DisplayfromInputStream(fileIn);
			final StreamResource logosource = new StreamResource(this.imagelogoweb, "myimage" + Integer.toString(this.l_VG.progressivoGenerico++) + ".png");
			logosource.setCacheTime(100);
			this.imageLogo.setSource(logosource);
		} catch (final Exception e) {
			
		}
	}

	public void Nazionalizza() {
		this.panelRicerca.setCaption(this.l_VG.utilityTraduzioni.TraduciStringa("Caratteristiche richieste"));
		this.labelCRQ.setValue(StringheUNI.PORTATA + ":");
		this.labelCRNQ.setValue(StringheUNI.NORMALPORTATA + ":");
		this.labelCReta.setValue(StringheUNI.RENDIMENTO + " min:");
		this.labelCRPotSon.setValue(StringheUNI.POTENZASONORA + " max:");
		this.labelCRh.setValue(this.l_VG.utilityTraduzioni.TraduciStringa("Altezza sul livello del mare") + ":");
		this.labelCRT.setValue(this.l_VG.utilityTraduzioni.TraduciStringa("Temperatura progettazione") + ":");
		this.labelCRCPM.setValue(this.l_VG.utilityTraduzioni.TraduciStringa("Correttore Potenza Motore") + ":");
        String str = "<html>ρ<sub>" + this.l_VG.utilityTraduzioni.TraduciStringa("Fluido") + "</sub> " + this.l_VG.utilityTraduzioni.TraduciStringa("a") + " ";
        str += Integer.toString((int)this.l_VG.CA020Ricerca.temperatura) + " [°C] " + this.l_VG.utilityTraduzioni.TraduciStringa("e") + " " + Integer.toString((int)this.l_VG.CA020Ricerca.altezza);
        str += " [m]:" + "</html>";
        this.labelCRrho020.setValue(str);
        
        this.panelMacchina.setCaption(this.l_VG.utilityTraduzioni.TraduciStringa("Macchina proposta"));
        this.labelMPModello.setValue(this.l_VG.utilityTraduzioni.TraduciStringa("Modello") + ":");
        this.labelMPMotore.setValue(this.l_VG.utilityTraduzioni.TraduciStringa("Motore") + ":");
        this.labelMPPMot.setValue(this.l_VG.utilityTraduzioni.TraduciStringa("Potenza motore") + ":");
        this.labelMPRpm.setValue(this.l_VG.utilityTraduzioni.TraduciStringa("Numero Giri/min") + ":");
        this.labelMPQ.setValue(StringheUNI.PORTATA + ":");
        this.labelMPNQ.setValue(StringheUNI.NORMALPORTATA + ":");
        this.labelMPPPt.setValue(StringheUNI.PRESSIONETOTALE + ":");
        this.labelMPPPs.setValue(StringheUNI.PRESSIONESTATICA + ":");
        this.labelMPW.setValue(StringheUNI.POTENZAASSE + ":");
        this.labelMPeta.setValue(StringheUNI.RENDIMENTO + ":");
        this.labelMPBocche.setValue(this.l_VG.utilityTraduzioni.TraduciStringa("Bocche canalizzate") + ":");
        this.labelMPPotSon.setValue(StringheUNI.POTENZASONORA + ":");
        this.labelMPEsecuzione.setValue(this.l_VG.utilityTraduzioni.TraduciStringa("Esecuzione") + ":");
        this.labelMPOrientamento.setValue(this.l_VG.utilityTraduzioni.TraduciStringa("Orientamento") + ":");
        this.labelMPAngolo.setValue(this.l_VG.utilityTraduzioni.TraduciStringa("Angolo") + ":");
        
        this.labelMPPPt.setValue(StringheUNI.PRESSIONETOTALE + ":");
        this.labelMPPPs.setValue(StringheUNI.PRESSIONESTATICA + ":");
        this.labelMPW.setValue(StringheUNI.POTENZAASSE + ":");
        this.labelXXPotSon.setValue(StringheUNI.POTENZASONORA + ":");
        
	}
	
	public void setVentilatoreCurrent() {
//panelRicerca
        final String l_tit1 = this.l_VG.utilityCliente.buildTitoloGraficoPannelloPrestazioniPrimaRiga(this.l_VG.VentilatoreCurrent, this.l_VG.UMDiametroCorrente, this.l_VG.VentilatoreCurrent.UMAltezza, this.l_VG.VentilatoreCurrent.UMTemperatura);
        final String l_tit2 = this.l_VG.utilityCliente.buildTitoloGraficoPannelloPrestazioniSecondaRiga(this.l_VG.VentilatoreCurrent);
        this.graficoPrestazioniCurve.reset();
        this.graficoPrestazioniCurve.setParametriForPannelloPrestazioni(l_tit1, l_tit2, this.l_VG.ParametriVari.pannelloPrestazioniHieghtLightLimitiRicercaFlag);
        final boolean forzaGiri = this.l_VG.pannelloCatalogoForzaGiriMassimiFlag && this.l_VG.VentilatoreCurrentFromVieneDa == Costanti.vieneDaCatalogo && this.l_VG.VentilatoreCurrent.PrimaVolta;
        final boolean inizializzaMarker = this.l_VG.VentilatoreCurrentFromVieneDa == Costanti.vieneDaCatalogo && this.l_VG.VentilatoreCurrent.PrimaVolta;
        final boolean aggiornaAltriPannelli = true;
        final boolean displayCurvaCaratteristica = this.l_VG.VentilatoreCurrent.FromRicerca && this.l_VG.ParametriVari.pannelloPrestazionicaratteristicaFlag;
        boolean displayOrizzontalMarker = false;
        if (this.l_VG.pannelloPrestazioniMarkerOrizontalSpecialFlag) {
            displayOrizzontalMarker = true;
        } else {
            displayOrizzontalMarker = this.l_VG.VentilatoreCurrentFromVieneDa == Costanti.vieneDaRicerca || this.l_VG.VentilatoreCurrentFromVieneDa == Costanti.vieneDaPreventivo;
        }
        this.graficoPrestazioniCurve.setFlag(false, 2, forzaGiri, inizializzaMarker, aggiornaAltriPannelli, displayCurvaCaratteristica, this.l_VG.ParametriVari.pannelloPrestazionimarkerFlag, this.l_VG.ParametriVari.pannelloPrestazionimarkerFlag, displayOrizzontalMarker, this.l_VG.pannelloPrestazioniMarkerOrizontalSpecialFlag);
        this.graficoPrestazioniCurve.buildGrafico(this.grafico);
		final StreamResource graficosource = new StreamResource(this.grafico, "myimage" + Integer.toString(this.l_VG.progressivoGenerico++) + ".png");
		graficosource.setCacheTime(100);
		this.image.setSource(graficosource);
		if (this.l_VG.VentilatoreCurrent.PressioneStaticaFlag) {
			this.labelCRPt.setValue(StringheUNI.PRESSIONESTATICA + ":");
		} else {
			this.labelCRPt.setValue(StringheUNI.PRESSIONETOTALE + ":");
		}
		this.l_VG.fmtNd.setMinimumFractionDigits(0);
		this.l_VG.fmtNd.setMaximumFractionDigits(this.l_VG.VentilatoreCurrent.UMPressione.nDecimaliStampa);
		this.labelCRPtVal.setValue(this.l_VG.fmtNd.format(this.l_VG.utilityUnitaMisura.fromPaToXX(this.l_VG.VentilatoreCurrent.PressioneRichiestaPa, this.l_VG.VentilatoreCurrent.UMPressione)));
		this.labelCRPtUM.setValue(this.l_VG.VentilatoreCurrent.UMPressione.simbolo);
		this.l_VG.fmtNd.setMaximumFractionDigits(this.l_VG.VentilatoreCurrent.UMPortata.nDecimaliStampa);
		this.labelCRQVal.setValue(this.l_VG.fmtNd.format(this.l_VG.utilityUnitaMisura.fromm3hToXX(this.l_VG.VentilatoreCurrent.PortataRichiestam3h, this.l_VG.VentilatoreCurrent.UMPortata)));
		this.labelCRQUM.setValue(this.l_VG.VentilatoreCurrent.UMPortata.simbolo);
		this.l_VG.fmtNd.setMaximumFractionDigits(2);
		this.labelCRNQVal.setValue(this.l_VG.fmtNd.format(this.l_VG.VentilatoreCurrent.NormalPortataRichiesta));
		this.l_VG.fmtNd.setMaximumFractionDigits(0);
		if (this.l_VG.VentilatoreCurrent.RendimentoMinimoRichiesto > 0.) {
			this.labelCRetaVal.setValue(this.l_VG.fmtNd.format(this.l_VG.VentilatoreCurrent.RendimentoMinimoRichiesto));
		} else {
			this.labelCRetaVal.setValue("");
		}
		this.l_VG.fmtNd.setMaximumFractionDigits(this.l_VG.NDecimaliRumore);
		if (this.l_VG.VentilatoreCurrent.PotenzaSonoraMaxRichiesta > 0.) {
			this.labelCRPotSonVal.setValue(this.l_VG.fmtNd.format(this.l_VG.VentilatoreCurrent.PotenzaSonoraMaxRichiesta));
		} else {
			this.labelCRPotSonVal.setValue("");
		}
		this.l_VG.fmtNd.setMaximumFractionDigits(this.l_VG.VentilatoreCurrent.UMAltezza.nDecimaliStampa);
		this.labelCRhVal.setValue(this.l_VG.fmtNd.format(this.l_VG.utilityUnitaMisura.frommToXX(this.l_VG.VentilatoreCurrent.CAProgettazione.altezza, this.l_VG.VentilatoreCurrent.UMAltezza)));
		this.labelCRhUM.setValue(this.l_VG.VentilatoreCurrent.UMAltezza.simbolo);
		this.l_VG.fmtNd.setMaximumFractionDigits(this.l_VG.VentilatoreCurrent.UMTemperatura.nDecimaliStampa);
		this.labelCRTVal.setValue(this.l_VG.fmtNd.format(this.l_VG.utilityUnitaMisura.fromCelsiusToXX(this.l_VG.VentilatoreCurrent.UMTemperatura.index, this.l_VG.VentilatoreCurrent.CAProgettazione.temperatura)));
		this.labelCRTUM.setValue(this.l_VG.VentilatoreCurrent.UMTemperatura.simbolo);
		this.l_VG.fmtNd.setMaximumFractionDigits(0);
		if (this.l_VG.VentilatoreCurrent.CorrettorePotenzaMotore > 0.) {
			this.labelCRCPMVal.setValue(this.l_VG.fmtNd.format(this.l_VG.VentilatoreCurrent.CorrettorePotenzaMotore));
		} else {
			this.labelCRCPMVal.setValue("");
		}
        String str = "<html>ρ<sub>" + this.l_VG.utilityTraduzioni.TraduciStringa("Fluido") + "</sub> " + this.l_VG.utilityTraduzioni.TraduciStringa("a") + " ";
        this.l_VG.fmtNd.setMaximumFractionDigits(this.l_VG.VentilatoreCurrent.UMTemperatura.nDecimaliStampa);
        str += this.l_VG.fmtNd.format(this.l_VG.utilityUnitaMisura.fromCelsiusToXX(this.l_VG.VentilatoreCurrent.UMTemperatura.index, this.l_VG.VentilatoreCurrent.CAProgettazione.temperatura));
        str += " " + this.l_VG.VentilatoreCurrent.UMTemperatura.simbolo + " " + this.l_VG.utilityTraduzioni.TraduciStringa("e") + " ";
        this.l_VG.fmtNd.setMaximumFractionDigits(this.l_VG.VentilatoreCurrent.UMTemperatura.nDecimaliStampa);
        str += this.l_VG.fmtNd.format(this.l_VG.utilityUnitaMisura.frommToXX(this.l_VG.VentilatoreCurrent.CAProgettazione.altezza, this.l_VG.VentilatoreCurrent.UMAltezza)) + " " + this.l_VG.VentilatoreCurrent.UMAltezza.simbolo;
        str += ":" + "</html>";
        this.labelCRrhoXX.setValue(str);
        this.l_VG.fmtNd.setMaximumFractionDigits(3);
        this.labelCRrho020Val.setValue(this.l_VG.fmtNd.format(this.l_VG.VentilatoreCurrent.CARiferimento.rho));
        this.labelCRrhoXXVal.setValue(this.l_VG.fmtNd.format(this.l_VG.VentilatoreCurrent.CAProgettazione.rho));
        this.panelRicerca.setVisible(this.l_VG.VentilatoreCurrent.FromRicerca);
//panelRicerca fine
//panelMacchina
        this.labelMPModelloVal.setValue("<b>" + this.l_VG.buildModelloCompleto(this.l_VG.VentilatoreCurrent, this.l_VG.parametriModelloCompletoForPrint) + "</b>");
        if (this.l_VG.VentilatoreCurrent.Trasmissione) {
        	this.labelMPDATR.setValue("<b>" + this.l_VG.utilityTraduzioni.TraduciStringa(this.l_VG.utilityCliente.stringaTrasmissione) + "</b>");
        } else {
        	this.labelMPDATR.setValue("<b>" + this.l_VG.utilityTraduzioni.TraduciStringa(this.l_VG.utilityCliente.stringaDirettamenteAccoppiato) + "</b>");
        }
        this.l_VG.fmtNd.setMaximumFractionDigits(4);
        this.labelMPPD2Val.setValue(this.l_VG.fmtNd.format(this.l_VG.VentilatoreCurrent.PD2));
        if (this.l_VG.VentilatoreCurrent.selezioneCorrente.MotoreInstallato.CodiceCliente != null && !this.l_VG.VentilatoreCurrent.selezioneCorrente.MotoreInstallato.CodiceCliente.equals("-")) {
        	this.labelMPMotoreVal.setValue(this.l_VG.VentilatoreCurrent.selezioneCorrente.MotoreInstallato.CodiceCliente);
        	this.labelMPMotoreDesc.setValue(this.l_VG.VentilatoreCurrent.selezioneCorrente.MotoreInstallato.Descrizione);
        	this.l_VG.fmtNd.setMaximumFractionDigits(2);
        	this.labelMPPMotVal.setValue(this.l_VG.fmtNd.format(this.l_VG.VentilatoreCurrent.selezioneCorrente.MotoreInstallato.PotkW));
        } else {
        	this.labelMPMotoreVal.setValue("");
        	this.labelMPMotoreDesc.setValue("");
        	this.labelMPPMotVal.setValue("");
        }
        this.labelMPRpmVal.setValue(Integer.toString((int)this.l_VG.VentilatoreCurrent.selezioneCorrente.NumeroGiri));
		this.l_VG.fmtNd.setMaximumFractionDigits(this.l_VG.VentilatoreCurrent.UMPortata.nDecimaliStampa);
		this.labelMPQVal.setValue(this.l_VG.fmtNd.format(this.l_VG.utilityUnitaMisura.fromm3hToXX(this.l_VG.VentilatoreCurrent.selezioneCorrente.Marker, this.l_VG.VentilatoreCurrent.UMPortata)));
        this.labelMPQUM.setValue(this.l_VG.VentilatoreCurrent.UMPortata.simbolo);
        final double fattoreNm3h = this.l_VG.VentilatoreCurrent.CAProgettazione.rho / this.l_VG.utilityFisica.getDensitaAria(0);
        this.l_VG.fmtNd.setMaximumFractionDigits(2);
        this.labelMPNQVal.setValue(this.l_VG.fmtNd.format(this.l_VG.VentilatoreCurrent.selezioneCorrente.Marker * fattoreNm3h));
        this.l_VG.fmtNd.setMaximumFractionDigits(this.l_VG.VentilatoreCurrent.UMPressione.nDecimaliStampa);
        this.labelMPPPtVal.setValue(this.l_VG.fmtNd.format(this.l_VG.utilityUnitaMisura.fromPaToXX(this.l_VG.VentilatoreCurrent.selezioneCorrente.PressioneTotale, this.l_VG.VentilatoreCurrent.UMPressione)));
        this.labelMPPPtUM.setValue(this.l_VG.VentilatoreCurrent.UMPressione.simbolo);
        this.labelMPPPsVal.setValue(this.l_VG.fmtNd.format(this.l_VG.utilityUnitaMisura.fromPaToXX(this.l_VG.VentilatoreCurrent.selezioneCorrente.PressioneStatica, this.l_VG.VentilatoreCurrent.UMPressione)));
        this.labelMPPPsUM.setValue(this.l_VG.VentilatoreCurrent.UMPressione.simbolo);
        this.l_VG.fmtNd.setMaximumFractionDigits(this.l_VG.VentilatoreCurrent.UMPotenza.nDecimaliStampa);
        this.labelMPWVal.setValue(this.l_VG.fmtNd.format(this.l_VG.utilityUnitaMisura.fromWToXX(this.l_VG.VentilatoreCurrent.selezioneCorrente.Potenza, this.l_VG.VentilatoreCurrent.UMPotenza)));
        this.labelMPWUM.setValue(this.l_VG.VentilatoreCurrent.UMPotenza.simbolo);
        this.l_VG.fmtNd.setMaximumFractionDigits(0);
        this.labelMPetaVal.setValue(this.l_VG.fmtNd.format(this.l_VG.VentilatoreCurrent.selezioneCorrente.Rendimento));
        this.labelMPBoccheVal.setValue(this.l_VG.utilityTraduzioni.TraduciStringa(this.l_VG.nBoccheCanalizzateDesc[this.l_VG.VentilatoreCurrent.selezioneCorrente.nBoccheCanalizzate]));
        this.l_VG.fmtNd.setMaximumFractionDigits(this.l_VG.NDecimaliRumore);
        this.labelMPPotSonVal.setValue(this.l_VG.fmtNd.format(this.l_VG.VentilatoreCurrent.selezioneCorrente.PotenzaSonora));
        this.labelMPPotSonUM.setValue("[" + this.l_VG.VentilatoreCurrent.UMRumore + "]");
        this.labelMPPresSonVal.setValue(this.l_VG.fmtNd.format(this.l_VG.VentilatoreCurrent.selezioneCorrente.PressioneSonora));
        this.l_VG.fmtNd.setMaximumFractionDigits(1);
        this.labelMPPresSon.setValue(StringheUNI.PRESSIONESONORA + " " + this.l_VG.utilityTraduzioni.TraduciStringa("a") + " " + this.l_VG.fmtNd.format(this.l_VG.VentilatoreCurrent.selezioneCorrente.distanzaSpettroSonorom) + " [m]:");
        this.labelMPPresSonUM.setValue("[" + this.l_VG.VentilatoreCurrent.UMRumore + "]");
        this.labelMPEsecuzioneVal.setValue(this.l_VG.VentilatoreCurrent.selezioneCorrente.Esecuzione);
        this.labelMPOrientamentoVal.setValue(this.l_VG.VentilatoreCurrent.selezioneCorrente.Orientamento);
        this.labelMPAngoloVal.setValue(Integer.toString(this.l_VG.VentilatoreCurrent.selezioneCorrente.OrientamentoAngolo));
//panelMacchina fine
//panelXX
        this.panelXXCxxM.setCaption(this.l_VG.utilityTraduzioni.TraduciStringa("a")+" "+Integer.toString((int)this.l_VG.VentilatoreCurrent.CAFree.temperatura)+" [°C], "+Integer.toString((int)this.l_VG.VentilatoreCurrent.CAFree.altezza)+" [m]");
		try {
	        this.l_VG.ventilatoreFisicaCurrent.setNumeroGiriPortatam3h(this.l_VG.VentilatoreCurrent.selezioneCorrente.NumeroGiri, this.l_VG.VentilatoreCurrent.selezioneCorrente.Marker);
	        this.l_VG.fmtNd.setMaximumFractionDigits(this.l_VG.VentilatoreCurrent.UMPressione.nDecimaliStampa);
			this.labelXXPtVal.setValue(this.l_VG.fmtNd.format(this.l_VG.utilityUnitaMisura.fromPaToXX(this.l_VG.ventilatoreFisicaCurrent.getPressioneTotaleFreePa(), this.l_VG.VentilatoreCurrent.UMPressione)));
			this.labelXXPsVal.setValue(this.l_VG.fmtNd.format(this.l_VG.utilityUnitaMisura.fromPaToXX(this.l_VG.ventilatoreFisicaCurrent.getPressioneStaticaFreePa(), this.l_VG.VentilatoreCurrent.UMPressione)));
	        this.l_VG.fmtNd.setMaximumFractionDigits(this.l_VG.VentilatoreCurrent.UMPotenza.nDecimaliStampa);
	        this.labelXXWVal.setValue(this.l_VG.fmtNd.format(this.l_VG.utilityUnitaMisura.fromWToXX(this.l_VG.ventilatoreFisicaCurrent.getPotenzaFreeW(), this.l_VG.VentilatoreCurrent.UMPotenza)));
	        this.l_VG.fmtNd.setMaximumFractionDigits(this.l_VG.NDecimaliRumore);
	        this.labelXXPotSonVal.setValue(this.l_VG.fmtNd.format(this.l_VG.ventilatoreFisicaCurrent.getPotenzaSonoraFree()));
		} catch (final Exception e) {
			this.labelXXPtVal.setValue("");
			this.labelXXPsVal.setValue("");
			this.labelXXWVal.setValue("");
			this.labelXXPotSonVal.setValue("");
		}
		this.labelXXPtUM.setValue(this.l_VG.VentilatoreCurrent.UMPressione.simbolo);
		this.labelXXPsUM.setValue(this.l_VG.VentilatoreCurrent.UMPressione.simbolo);
        this.labelXXWUM.setValue(this.l_VG.VentilatoreCurrent.UMPotenza.simbolo);
        this.labelXXPotSonUM.setValue("[" + this.l_VG.VentilatoreCurrent.UMRumore + "]");
//panelXX fine
	}
	/*
	 * WARNING: Do NOT edit!<br>The content of this method is always regenerated by
	 * the UI designer.
	 */
	// <generated-code name="initUI">
	private void initUI() {
		this.verticalLayout = new XdevVerticalLayout();
		this.horizontalLayout = new XdevHorizontalLayout();
		this.verticalLayout2 = new XdevVerticalLayout();
		this.panelRicerca = new XdevPanel();
		this.gridLayout = new XdevGridLayout();
		this.labelCRPt = new XdevLabel();
		this.labelCRPtVal = new XdevLabel();
		this.labelCRPtUM = new XdevLabel();
		this.labelCRQ = new XdevLabel();
		this.labelCRQVal = new XdevLabel();
		this.labelCRQUM = new XdevLabel();
		this.labelCRNQ = new XdevLabel();
		this.labelCRNQVal = new XdevLabel();
		this.label = new XdevLabel();
		this.labelCReta = new XdevLabel();
		this.labelCRetaVal = new XdevLabel();
		this.label82 = new XdevLabel();
		this.labelCRPotSon = new XdevLabel();
		this.labelCRPotSonVal = new XdevLabel();
		this.label83 = new XdevLabel();
		this.labelCRh = new XdevLabel();
		this.labelCRhVal = new XdevLabel();
		this.labelCRhUM = new XdevLabel();
		this.labelCRT = new XdevLabel();
		this.labelCRTVal = new XdevLabel();
		this.labelCRTUM = new XdevLabel();
		this.labelCRCPM = new XdevLabel();
		this.labelCRCPMVal = new XdevLabel();
		this.label86 = new XdevLabel();
		this.labelCRrho020 = new XdevLabel();
		this.labelCRrho020Val = new XdevLabel();
		this.label87 = new XdevLabel();
		this.labelCRrhoXX = new XdevLabel();
		this.labelCRrhoXXVal = new XdevLabel();
		this.label88 = new XdevLabel();
		this.imageLogo = new XdevImage();
		this.image = new XdevImage();
		this.horizontalLayout2 = new XdevHorizontalLayout();
		this.panelMacchina = new XdevPanel();
		this.gridLayout2 = new XdevGridLayout();
		this.labelMPQ = new XdevLabel();
		this.labelMPQVal = new XdevLabel();
		this.labelMPQUM = new XdevLabel();
		this.labelMPEsecuzione = new XdevLabel();
		this.labelMPEsecuzioneVal = new XdevLabel();
		this.labelMPModello = new XdevLabel();
		this.labelMPModelloVal = new XdevLabel();
		this.labelMPNQ = new XdevLabel();
		this.labelMPNQVal = new XdevLabel();
		this.label47 = new XdevLabel();
		this.labelMPOrientamento = new XdevLabel();
		this.labelMPOrientamentoVal = new XdevLabel();
		this.labelMPPPt = new XdevLabel();
		this.labelMPPPtVal = new XdevLabel();
		this.labelMPPPtUM = new XdevLabel();
		this.labelMPAngolo = new XdevLabel();
		this.labelMPAngoloVal = new XdevLabel();
		this.label63 = new XdevLabel();
		this.labelMPDATR = new XdevLabel();
		this.labelMPPPs = new XdevLabel();
		this.labelMPPPsVal = new XdevLabel();
		this.labelMPPPsUM = new XdevLabel();
		this.panelXXCxxM = new XdevPanel();
		this.gridLayout3 = new XdevGridLayout();
		this.labelXXPt = new XdevLabel();
		this.labelXXPtVal = new XdevLabel();
		this.labelXXPtUM = new XdevLabel();
		this.labelXXPs = new XdevLabel();
		this.labelXXPsVal = new XdevLabel();
		this.labelXXPsUM = new XdevLabel();
		this.labelXXW = new XdevLabel();
		this.labelXXWVal = new XdevLabel();
		this.labelXXWUM = new XdevLabel();
		this.labelXXPotSon = new XdevLabel();
		this.labelXXPotSonVal = new XdevLabel();
		this.labelXXPotSonUM = new XdevLabel();
		this.label26 = new XdevLabel();
		this.labelMPPD2Val = new XdevLabel();
		this.label60 = new XdevLabel();
		this.labelMPW = new XdevLabel();
		this.labelMPWVal = new XdevLabel();
		this.labelMPWUM = new XdevLabel();
		this.labelMPMotore = new XdevLabel();
		this.labelMPMotoreVal = new XdevLabel();
		this.labelMPeta = new XdevLabel();
		this.labelMPetaVal = new XdevLabel();
		this.label51 = new XdevLabel();
		this.labelMPMotoreDesc = new XdevLabel();
		this.labelMPBocche = new XdevLabel();
		this.labelMPBoccheVal = new XdevLabel();
		this.labelMPPMot = new XdevLabel();
		this.labelMPPMotVal = new XdevLabel();
		this.label56 = new XdevLabel();
		this.labelMPPotSon = new XdevLabel();
		this.labelMPPotSonVal = new XdevLabel();
		this.labelMPPotSonUM = new XdevLabel();
		this.labelMPRpm = new XdevLabel();
		this.labelMPRpmVal = new XdevLabel();
		this.label57 = new XdevLabel();
		this.labelMPPresSon = new XdevLabel();
		this.labelMPPresSonVal = new XdevLabel();
		this.labelMPPresSonUM = new XdevLabel();
	
		this.verticalLayout.setMargin(new MarginInfo(false));
		this.verticalLayout2.setMargin(new MarginInfo(false));
		this.panelRicerca.setCaption("Caratteristiche richieste");
		this.labelCRPt.setValue("PtPst");
		this.labelCRPt.setContentMode(ContentMode.HTML);
		this.labelCRPtVal.setValue("???");
		this.labelCRPtUM.setValue("UM");
		this.labelCRPtUM.setContentMode(ContentMode.HTML);
		this.labelCRQ.setValue("Q");
		this.labelCRQ.setContentMode(ContentMode.HTML);
		this.labelCRQVal.setValue("???");
		this.labelCRQUM.setValue("UM");
		this.labelCRQUM.setContentMode(ContentMode.HTML);
		this.labelCRNQ.setValue("NQ");
		this.labelCRNQ.setContentMode(ContentMode.HTML);
		this.labelCRNQVal.setValue("???");
		this.label.setValue("<html>[Nm<sup>3</sup>/h]</html>");
		this.label.setContentMode(ContentMode.HTML);
		this.labelCReta.setValue("eta");
		this.labelCReta.setContentMode(ContentMode.HTML);
		this.labelCRetaVal.setValue("???");
		this.label82.setValue("[%]");
		this.labelCRPotSon.setValue("Potenza Sonora Massima");
		this.labelCRPotSon.setContentMode(ContentMode.HTML);
		this.labelCRPotSonVal.setValue("???");
		this.label83.setValue("[dB/dB(A)]");
		this.labelCRh.setValue("Altezza sul livello del mare");
		this.labelCRhVal.setValue("???");
		this.labelCRhUM.setValue("UM");
		this.labelCRhUM.setContentMode(ContentMode.HTML);
		this.labelCRT.setValue("T");
		this.labelCRTVal.setValue("???");
		this.labelCRTUM.setValue("UM");
		this.labelCRTUM.setContentMode(ContentMode.HTML);
		this.labelCRCPM.setValue("cpm");
		this.labelCRCPMVal.setValue("???");
		this.label86.setValue("[%]");
		this.labelCRrho020.setValue("rho020");
		this.labelCRrho020.setContentMode(ContentMode.HTML);
		this.labelCRrho020Val.setValue("???");
		this.label87.setValue("<html>[Kg/m<sup>3</sup>]</html>");
		this.label87.setContentMode(ContentMode.HTML);
		this.labelCRrhoXX.setValue("rhoXX");
		this.labelCRrhoXX.setContentMode(ContentMode.HTML);
		this.labelCRrhoXXVal.setValue("???");
		this.label88.setValue("<html>[Kg/m<sup>3</sup>]</html>");
		this.label88.setContentMode(ContentMode.HTML);
		this.horizontalLayout2.setMargin(new MarginInfo(false));
		this.panelMacchina.setCaption("Macchina proposta");
		this.labelMPQ.setValue("Q");
		this.labelMPQ.setContentMode(ContentMode.HTML);
		this.labelMPQVal.setValue("100000");
		this.labelMPQUM.setValue("UM");
		this.labelMPQUM.setContentMode(ContentMode.HTML);
		this.labelMPEsecuzione.setValue("Esecuzione:");
		this.labelMPEsecuzioneVal.setValue("???");
		this.labelMPModello.setValue("Modello");
		this.labelMPModelloVal.setValue("<b>RM 400");
		this.labelMPModelloVal.setContentMode(ContentMode.HTML);
		this.labelMPNQ.setValue("NQ");
		this.labelMPNQ.setContentMode(ContentMode.HTML);
		this.labelMPNQVal.setValue("???");
		this.label47.setValue("<html>[Nm<sup>3</sup>/h]</html>");
		this.label47.setContentMode(ContentMode.HTML);
		this.labelMPOrientamento.setValue("Orientamento:");
		this.labelMPOrientamentoVal.setValue("???");
		this.labelMPPPt.setValue("Pt");
		this.labelMPPPt.setContentMode(ContentMode.HTML);
		this.labelMPPPtVal.setValue("???");
		this.labelMPPPtUM.setValue("UM");
		this.labelMPPPtUM.setContentMode(ContentMode.HTML);
		this.labelMPAngolo.setValue("???");
		this.labelMPAngoloVal.setValue("???");
		this.label63.setValue("[°]");
		this.labelMPDATR.setValue("<b>Direttamente Accoppiato");
		this.labelMPDATR.setContentMode(ContentMode.HTML);
		this.labelMPPPs.setValue("Ps");
		this.labelMPPPs.setContentMode(ContentMode.HTML);
		this.labelMPPPsVal.setValue("???");
		this.labelMPPPsUM.setValue("UM");
		this.labelMPPPsUM.setContentMode(ContentMode.HTML);
		this.panelXXCxxM.setCaption("a 20°");
		this.labelXXPt.setValue("Pt");
		this.labelXXPt.setContentMode(ContentMode.HTML);
		this.labelXXPtVal.setValue("10000");
		this.labelXXPtUM.setValue("UM");
		this.labelXXPtUM.setContentMode(ContentMode.HTML);
		this.labelXXPs.setValue("Ps");
		this.labelXXPs.setContentMode(ContentMode.HTML);
		this.labelXXPsVal.setValue("???");
		this.labelXXPsUM.setValue("UM");
		this.labelXXPsUM.setContentMode(ContentMode.HTML);
		this.labelXXW.setValue("W");
		this.labelXXW.setContentMode(ContentMode.HTML);
		this.labelXXWVal.setValue("???");
		this.labelXXWUM.setValue("UM");
		this.labelXXWUM.setContentMode(ContentMode.HTML);
		this.labelXXPotSon.setValue("<html>L<sub>W</sub>A<sub>Eq</sub></html>");
		this.labelXXPotSon.setContentMode(ContentMode.HTML);
		this.labelXXPotSonVal.setValue("???");
		this.labelXXPotSonUM.setValue("UM");
		this.labelXXPotSonUM.setContentMode(ContentMode.HTML);
		this.label26.setValue("<html>PD<sup>2</sup><htmpl>");
		this.label26.setContentMode(ContentMode.HTML);
		this.labelMPPD2Val.setValue("???");
		this.label60.setValue("<html>[Kg/m<sup>2</sup>]</html>");
		this.label60.setContentMode(ContentMode.HTML);
		this.labelMPW.setValue("W");
		this.labelMPW.setContentMode(ContentMode.HTML);
		this.labelMPWVal.setValue("???");
		this.labelMPWUM.setValue("UM");
		this.labelMPWUM.setContentMode(ContentMode.HTML);
		this.labelMPMotore.setValue("Motore");
		this.labelMPMotoreVal.setValue("???");
		this.labelMPMotoreVal.setContentMode(ContentMode.HTML);
		this.labelMPeta.setValue("eta");
		this.labelMPeta.setContentMode(ContentMode.HTML);
		this.labelMPetaVal.setValue("???");
		this.label51.setValue("[%]");
		this.labelMPMotoreDesc.setValue("???");
		this.labelMPMotoreDesc.setContentMode(ContentMode.HTML);
		this.labelMPBocche.setValue("Bocche canalizzate:");
		this.labelMPBoccheVal.setValue("???");
		this.labelMPPMot.setValue("PMot");
		this.labelMPPMotVal.setValue("???");
		this.label56.setValue("[kW]");
		this.labelMPPotSon.setValue("potson");
		this.labelMPPotSon.setContentMode(ContentMode.HTML);
		this.labelMPPotSonVal.setValue("???");
		this.labelMPPotSonUM.setValue("UM");
		this.labelMPPotSonUM.setContentMode(ContentMode.HTML);
		this.labelMPRpm.setValue("Numero Giri/min:");
		this.labelMPRpmVal.setValue("10000");
		this.label57.setValue("[rpm]");
		this.labelMPPresSon.setValue("PresSon");
		this.labelMPPresSon.setContentMode(ContentMode.HTML);
		this.labelMPPresSonVal.setValue("???");
		this.labelMPPresSonUM.setValue("UM");
		this.labelMPPresSonUM.setContentMode(ContentMode.HTML);
	
		this.gridLayout.setColumns(3);
		this.gridLayout.setRows(11);
		this.labelCRPt.setSizeUndefined();
		this.gridLayout.addComponent(this.labelCRPt, 0, 0);
		this.gridLayout.setComponentAlignment(this.labelCRPt, Alignment.MIDDLE_RIGHT);
		this.labelCRPtVal.setSizeUndefined();
		this.gridLayout.addComponent(this.labelCRPtVal, 1, 0);
		this.gridLayout.setComponentAlignment(this.labelCRPtVal, Alignment.MIDDLE_RIGHT);
		this.labelCRPtUM.setSizeUndefined();
		this.gridLayout.addComponent(this.labelCRPtUM, 2, 0);
		this.gridLayout.setComponentAlignment(this.labelCRPtUM, Alignment.MIDDLE_LEFT);
		this.labelCRQ.setSizeUndefined();
		this.gridLayout.addComponent(this.labelCRQ, 0, 1);
		this.gridLayout.setComponentAlignment(this.labelCRQ, Alignment.MIDDLE_RIGHT);
		this.labelCRQVal.setSizeUndefined();
		this.gridLayout.addComponent(this.labelCRQVal, 1, 1);
		this.gridLayout.setComponentAlignment(this.labelCRQVal, Alignment.MIDDLE_RIGHT);
		this.labelCRQUM.setSizeUndefined();
		this.gridLayout.addComponent(this.labelCRQUM, 2, 1);
		this.gridLayout.setComponentAlignment(this.labelCRQUM, Alignment.MIDDLE_LEFT);
		this.labelCRNQ.setSizeUndefined();
		this.gridLayout.addComponent(this.labelCRNQ, 0, 2);
		this.gridLayout.setComponentAlignment(this.labelCRNQ, Alignment.MIDDLE_RIGHT);
		this.labelCRNQVal.setSizeUndefined();
		this.gridLayout.addComponent(this.labelCRNQVal, 1, 2);
		this.gridLayout.setComponentAlignment(this.labelCRNQVal, Alignment.MIDDLE_RIGHT);
		this.label.setSizeUndefined();
		this.gridLayout.addComponent(this.label, 2, 2);
		this.gridLayout.setComponentAlignment(this.label, Alignment.MIDDLE_LEFT);
		this.labelCReta.setSizeUndefined();
		this.gridLayout.addComponent(this.labelCReta, 0, 3);
		this.gridLayout.setComponentAlignment(this.labelCReta, Alignment.MIDDLE_RIGHT);
		this.labelCRetaVal.setSizeUndefined();
		this.gridLayout.addComponent(this.labelCRetaVal, 1, 3);
		this.gridLayout.setComponentAlignment(this.labelCRetaVal, Alignment.MIDDLE_RIGHT);
		this.label82.setSizeUndefined();
		this.gridLayout.addComponent(this.label82, 2, 3);
		this.gridLayout.setComponentAlignment(this.label82, Alignment.MIDDLE_LEFT);
		this.labelCRPotSon.setSizeUndefined();
		this.gridLayout.addComponent(this.labelCRPotSon, 0, 4);
		this.gridLayout.setComponentAlignment(this.labelCRPotSon, Alignment.MIDDLE_RIGHT);
		this.labelCRPotSonVal.setSizeUndefined();
		this.gridLayout.addComponent(this.labelCRPotSonVal, 1, 4);
		this.gridLayout.setComponentAlignment(this.labelCRPotSonVal, Alignment.MIDDLE_RIGHT);
		this.label83.setSizeUndefined();
		this.gridLayout.addComponent(this.label83, 2, 4);
		this.gridLayout.setComponentAlignment(this.label83, Alignment.MIDDLE_LEFT);
		this.labelCRh.setSizeUndefined();
		this.gridLayout.addComponent(this.labelCRh, 0, 5);
		this.gridLayout.setComponentAlignment(this.labelCRh, Alignment.MIDDLE_RIGHT);
		this.labelCRhVal.setSizeUndefined();
		this.gridLayout.addComponent(this.labelCRhVal, 1, 5);
		this.gridLayout.setComponentAlignment(this.labelCRhVal, Alignment.MIDDLE_RIGHT);
		this.labelCRhUM.setSizeUndefined();
		this.gridLayout.addComponent(this.labelCRhUM, 2, 5);
		this.gridLayout.setComponentAlignment(this.labelCRhUM, Alignment.MIDDLE_LEFT);
		this.labelCRT.setSizeUndefined();
		this.gridLayout.addComponent(this.labelCRT, 0, 6);
		this.gridLayout.setComponentAlignment(this.labelCRT, Alignment.MIDDLE_RIGHT);
		this.labelCRTVal.setSizeUndefined();
		this.gridLayout.addComponent(this.labelCRTVal, 1, 6);
		this.gridLayout.setComponentAlignment(this.labelCRTVal, Alignment.MIDDLE_RIGHT);
		this.labelCRTUM.setSizeUndefined();
		this.gridLayout.addComponent(this.labelCRTUM, 2, 6);
		this.gridLayout.setComponentAlignment(this.labelCRTUM, Alignment.MIDDLE_LEFT);
		this.labelCRCPM.setSizeUndefined();
		this.gridLayout.addComponent(this.labelCRCPM, 0, 7);
		this.gridLayout.setComponentAlignment(this.labelCRCPM, Alignment.MIDDLE_RIGHT);
		this.labelCRCPMVal.setSizeUndefined();
		this.gridLayout.addComponent(this.labelCRCPMVal, 1, 7);
		this.gridLayout.setComponentAlignment(this.labelCRCPMVal, Alignment.MIDDLE_RIGHT);
		this.label86.setSizeUndefined();
		this.gridLayout.addComponent(this.label86, 2, 7);
		this.gridLayout.setComponentAlignment(this.label86, Alignment.MIDDLE_LEFT);
		this.labelCRrho020.setSizeUndefined();
		this.gridLayout.addComponent(this.labelCRrho020, 0, 8);
		this.gridLayout.setComponentAlignment(this.labelCRrho020, Alignment.MIDDLE_RIGHT);
		this.labelCRrho020Val.setSizeUndefined();
		this.gridLayout.addComponent(this.labelCRrho020Val, 1, 8);
		this.gridLayout.setComponentAlignment(this.labelCRrho020Val, Alignment.MIDDLE_RIGHT);
		this.label87.setSizeUndefined();
		this.gridLayout.addComponent(this.label87, 2, 8);
		this.gridLayout.setComponentAlignment(this.label87, Alignment.MIDDLE_LEFT);
		this.labelCRrhoXX.setSizeUndefined();
		this.gridLayout.addComponent(this.labelCRrhoXX, 0, 9);
		this.gridLayout.setComponentAlignment(this.labelCRrhoXX, Alignment.MIDDLE_RIGHT);
		this.labelCRrhoXXVal.setSizeUndefined();
		this.gridLayout.addComponent(this.labelCRrhoXXVal, 1, 9);
		this.gridLayout.setComponentAlignment(this.labelCRrhoXXVal, Alignment.MIDDLE_RIGHT);
		this.label88.setSizeUndefined();
		this.gridLayout.addComponent(this.label88, 2, 9);
		this.gridLayout.setComponentAlignment(this.label88, Alignment.MIDDLE_LEFT);
		this.gridLayout.setColumnExpandRatio(0, 20.0F);
		this.gridLayout.setColumnExpandRatio(1, 12.0F);
		this.gridLayout.setColumnExpandRatio(2, 20.0F);
		final CustomComponent gridLayout_vSpacer = new CustomComponent();
		gridLayout_vSpacer.setSizeFull();
		this.gridLayout.addComponent(gridLayout_vSpacer, 0, 10, 2, 10);
		this.gridLayout.setRowExpandRatio(10, 1.0F);
		this.gridLayout.setSizeFull();
		this.panelRicerca.setContent(this.gridLayout);
		this.panelRicerca.setWidth(100, Unit.PERCENTAGE);
		this.panelRicerca.setHeight(-1, Unit.PIXELS);
		this.verticalLayout2.addComponent(this.panelRicerca);
		this.verticalLayout2.setComponentAlignment(this.panelRicerca, Alignment.MIDDLE_CENTER);
		this.imageLogo.setWidth(70, Unit.PERCENTAGE);
		this.imageLogo.setHeight(-1, Unit.PIXELS);
		this.verticalLayout2.addComponent(this.imageLogo);
		this.verticalLayout2.setComponentAlignment(this.imageLogo, Alignment.MIDDLE_CENTER);
		this.verticalLayout2.setExpandRatio(this.imageLogo, 10.0F);
		this.verticalLayout2.setSizeFull();
		this.horizontalLayout.addComponent(this.verticalLayout2);
		this.horizontalLayout.setComponentAlignment(this.verticalLayout2, Alignment.MIDDLE_CENTER);
		this.horizontalLayout.setExpandRatio(this.verticalLayout2, 10.0F);
		this.image.setSizeFull();
		this.horizontalLayout.addComponent(this.image);
		this.horizontalLayout.setComponentAlignment(this.image, Alignment.MIDDLE_CENTER);
		this.horizontalLayout.setExpandRatio(this.image, 15.0F);
		this.gridLayout3.setColumns(3);
		this.gridLayout3.setRows(5);
		this.labelXXPt.setSizeUndefined();
		this.gridLayout3.addComponent(this.labelXXPt, 0, 0);
		this.gridLayout3.setComponentAlignment(this.labelXXPt, Alignment.MIDDLE_RIGHT);
		this.labelXXPtVal.setSizeUndefined();
		this.gridLayout3.addComponent(this.labelXXPtVal, 1, 0);
		this.gridLayout3.setComponentAlignment(this.labelXXPtVal, Alignment.MIDDLE_RIGHT);
		this.labelXXPtUM.setWidth(100, Unit.PERCENTAGE);
		this.labelXXPtUM.setHeight(-1, Unit.PIXELS);
		this.gridLayout3.addComponent(this.labelXXPtUM, 2, 0);
		this.gridLayout3.setComponentAlignment(this.labelXXPtUM, Alignment.MIDDLE_LEFT);
		this.labelXXPs.setSizeUndefined();
		this.gridLayout3.addComponent(this.labelXXPs, 0, 1);
		this.gridLayout3.setComponentAlignment(this.labelXXPs, Alignment.MIDDLE_RIGHT);
		this.labelXXPsVal.setSizeUndefined();
		this.gridLayout3.addComponent(this.labelXXPsVal, 1, 1);
		this.gridLayout3.setComponentAlignment(this.labelXXPsVal, Alignment.MIDDLE_RIGHT);
		this.labelXXPsUM.setWidth(100, Unit.PERCENTAGE);
		this.labelXXPsUM.setHeight(-1, Unit.PIXELS);
		this.gridLayout3.addComponent(this.labelXXPsUM, 2, 1);
		this.gridLayout3.setComponentAlignment(this.labelXXPsUM, Alignment.MIDDLE_LEFT);
		this.labelXXW.setSizeUndefined();
		this.gridLayout3.addComponent(this.labelXXW, 0, 2);
		this.gridLayout3.setComponentAlignment(this.labelXXW, Alignment.MIDDLE_RIGHT);
		this.labelXXWVal.setSizeUndefined();
		this.gridLayout3.addComponent(this.labelXXWVal, 1, 2);
		this.gridLayout3.setComponentAlignment(this.labelXXWVal, Alignment.MIDDLE_RIGHT);
		this.labelXXWUM.setSizeUndefined();
		this.gridLayout3.addComponent(this.labelXXWUM, 2, 2);
		this.gridLayout3.setComponentAlignment(this.labelXXWUM, Alignment.MIDDLE_LEFT);
		this.labelXXPotSon.setSizeUndefined();
		this.gridLayout3.addComponent(this.labelXXPotSon, 0, 3);
		this.gridLayout3.setComponentAlignment(this.labelXXPotSon, Alignment.MIDDLE_RIGHT);
		this.labelXXPotSonVal.setSizeUndefined();
		this.gridLayout3.addComponent(this.labelXXPotSonVal, 1, 3);
		this.gridLayout3.setComponentAlignment(this.labelXXPotSonVal, Alignment.MIDDLE_RIGHT);
		this.labelXXPotSonUM.setWidth(100, Unit.PERCENTAGE);
		this.labelXXPotSonUM.setHeight(-1, Unit.PIXELS);
		this.gridLayout3.addComponent(this.labelXXPotSonUM, 2, 3);
		this.gridLayout3.setComponentAlignment(this.labelXXPotSonUM, Alignment.MIDDLE_LEFT);
		this.gridLayout3.setColumnExpandRatio(0, 10.0F);
		this.gridLayout3.setColumnExpandRatio(1, 10.0F);
		this.gridLayout3.setColumnExpandRatio(2, 10.0F);
		final CustomComponent gridLayout3_vSpacer = new CustomComponent();
		gridLayout3_vSpacer.setSizeFull();
		this.gridLayout3.addComponent(gridLayout3_vSpacer, 0, 4, 2, 4);
		this.gridLayout3.setRowExpandRatio(4, 1.0F);
		this.gridLayout3.setSizeFull();
		this.panelXXCxxM.setContent(this.gridLayout3);
		this.gridLayout2.setColumns(9);
		this.gridLayout2.setRows(10);
		this.labelMPQ.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPQ, 3, 0);
		this.gridLayout2.setComponentAlignment(this.labelMPQ, Alignment.MIDDLE_RIGHT);
		this.labelMPQVal.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPQVal, 4, 0);
		this.gridLayout2.setComponentAlignment(this.labelMPQVal, Alignment.MIDDLE_RIGHT);
		this.labelMPQUM.setWidth(100, Unit.PERCENTAGE);
		this.labelMPQUM.setHeight(-1, Unit.PIXELS);
		this.gridLayout2.addComponent(this.labelMPQUM, 5, 0);
		this.gridLayout2.setComponentAlignment(this.labelMPQUM, Alignment.MIDDLE_LEFT);
		this.labelMPEsecuzione.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPEsecuzione, 6, 0);
		this.gridLayout2.setComponentAlignment(this.labelMPEsecuzione, Alignment.MIDDLE_RIGHT);
		this.labelMPEsecuzioneVal.setWidth(100, Unit.PERCENTAGE);
		this.labelMPEsecuzioneVal.setHeight(-1, Unit.PIXELS);
		this.gridLayout2.addComponent(this.labelMPEsecuzioneVal, 7, 0);
		this.gridLayout2.setComponentAlignment(this.labelMPEsecuzioneVal, Alignment.MIDDLE_LEFT);
		this.labelMPModello.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPModello, 0, 1);
		this.gridLayout2.setComponentAlignment(this.labelMPModello, Alignment.TOP_RIGHT);
		this.labelMPModelloVal.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPModelloVal, 1, 1, 2, 1);
		this.gridLayout2.setComponentAlignment(this.labelMPModelloVal, Alignment.TOP_CENTER);
		this.labelMPNQ.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPNQ, 3, 1);
		this.gridLayout2.setComponentAlignment(this.labelMPNQ, Alignment.MIDDLE_RIGHT);
		this.labelMPNQVal.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPNQVal, 4, 1);
		this.gridLayout2.setComponentAlignment(this.labelMPNQVal, Alignment.MIDDLE_RIGHT);
		this.label47.setWidth(100, Unit.PERCENTAGE);
		this.label47.setHeight(-1, Unit.PIXELS);
		this.gridLayout2.addComponent(this.label47, 5, 1);
		this.gridLayout2.setComponentAlignment(this.label47, Alignment.MIDDLE_LEFT);
		this.labelMPOrientamento.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPOrientamento, 6, 1);
		this.gridLayout2.setComponentAlignment(this.labelMPOrientamento, Alignment.MIDDLE_RIGHT);
		this.labelMPOrientamentoVal.setWidth(100, Unit.PERCENTAGE);
		this.labelMPOrientamentoVal.setHeight(-1, Unit.PIXELS);
		this.gridLayout2.addComponent(this.labelMPOrientamentoVal, 7, 1);
		this.gridLayout2.setComponentAlignment(this.labelMPOrientamentoVal, Alignment.MIDDLE_LEFT);
		this.labelMPPPt.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPPPt, 3, 2);
		this.gridLayout2.setComponentAlignment(this.labelMPPPt, Alignment.MIDDLE_RIGHT);
		this.labelMPPPtVal.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPPPtVal, 4, 2);
		this.gridLayout2.setComponentAlignment(this.labelMPPPtVal, Alignment.MIDDLE_RIGHT);
		this.labelMPPPtUM.setWidth(100, Unit.PERCENTAGE);
		this.labelMPPPtUM.setHeight(-1, Unit.PIXELS);
		this.gridLayout2.addComponent(this.labelMPPPtUM, 5, 2);
		this.gridLayout2.setComponentAlignment(this.labelMPPPtUM, Alignment.MIDDLE_LEFT);
		this.labelMPAngolo.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPAngolo, 6, 2);
		this.gridLayout2.setComponentAlignment(this.labelMPAngolo, Alignment.MIDDLE_RIGHT);
		this.labelMPAngoloVal.setWidth(100, Unit.PERCENTAGE);
		this.labelMPAngoloVal.setHeight(-1, Unit.PIXELS);
		this.gridLayout2.addComponent(this.labelMPAngoloVal, 7, 2);
		this.gridLayout2.setComponentAlignment(this.labelMPAngoloVal, Alignment.MIDDLE_LEFT);
		this.label63.setWidth(100, Unit.PERCENTAGE);
		this.label63.setHeight(-1, Unit.PIXELS);
		this.gridLayout2.addComponent(this.label63, 8, 2);
		this.gridLayout2.setComponentAlignment(this.label63, Alignment.MIDDLE_LEFT);
		this.labelMPDATR.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPDATR, 0, 3, 2, 3);
		this.gridLayout2.setComponentAlignment(this.labelMPDATR, Alignment.TOP_CENTER);
		this.labelMPPPs.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPPPs, 3, 3);
		this.gridLayout2.setComponentAlignment(this.labelMPPPs, Alignment.MIDDLE_RIGHT);
		this.labelMPPPsVal.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPPPsVal, 4, 3);
		this.gridLayout2.setComponentAlignment(this.labelMPPPsVal, Alignment.MIDDLE_RIGHT);
		this.labelMPPPsUM.setWidth(100, Unit.PERCENTAGE);
		this.labelMPPPsUM.setHeight(-1, Unit.PIXELS);
		this.gridLayout2.addComponent(this.labelMPPPsUM, 5, 3);
		this.gridLayout2.setComponentAlignment(this.labelMPPPsUM, Alignment.MIDDLE_LEFT);
		this.panelXXCxxM.setSizeFull();
		this.gridLayout2.addComponent(this.panelXXCxxM, 6, 3, 8, 8);
		this.label26.setSizeUndefined();
		this.gridLayout2.addComponent(this.label26, 0, 4);
		this.gridLayout2.setComponentAlignment(this.label26, Alignment.MIDDLE_RIGHT);
		this.labelMPPD2Val.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPPD2Val, 1, 4);
		this.gridLayout2.setComponentAlignment(this.labelMPPD2Val, Alignment.MIDDLE_RIGHT);
		this.label60.setWidth(100, Unit.PERCENTAGE);
		this.label60.setHeight(-1, Unit.PIXELS);
		this.gridLayout2.addComponent(this.label60, 2, 4);
		this.gridLayout2.setComponentAlignment(this.label60, Alignment.MIDDLE_LEFT);
		this.labelMPW.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPW, 3, 4);
		this.gridLayout2.setComponentAlignment(this.labelMPW, Alignment.MIDDLE_RIGHT);
		this.labelMPWVal.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPWVal, 4, 4);
		this.gridLayout2.setComponentAlignment(this.labelMPWVal, Alignment.MIDDLE_RIGHT);
		this.labelMPWUM.setWidth(100, Unit.PERCENTAGE);
		this.labelMPWUM.setHeight(-1, Unit.PIXELS);
		this.gridLayout2.addComponent(this.labelMPWUM, 5, 4);
		this.gridLayout2.setComponentAlignment(this.labelMPWUM, Alignment.MIDDLE_LEFT);
		this.labelMPMotore.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPMotore, 0, 5);
		this.gridLayout2.setComponentAlignment(this.labelMPMotore, Alignment.MIDDLE_RIGHT);
		this.labelMPMotoreVal.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPMotoreVal, 1, 5, 2, 5);
		this.gridLayout2.setComponentAlignment(this.labelMPMotoreVal, Alignment.MIDDLE_CENTER);
		this.labelMPeta.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPeta, 3, 5);
		this.gridLayout2.setComponentAlignment(this.labelMPeta, Alignment.MIDDLE_RIGHT);
		this.labelMPetaVal.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPetaVal, 4, 5);
		this.gridLayout2.setComponentAlignment(this.labelMPetaVal, Alignment.MIDDLE_RIGHT);
		this.label51.setWidth(100, Unit.PERCENTAGE);
		this.label51.setHeight(-1, Unit.PIXELS);
		this.gridLayout2.addComponent(this.label51, 5, 5);
		this.gridLayout2.setComponentAlignment(this.label51, Alignment.MIDDLE_LEFT);
		this.labelMPMotoreDesc.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPMotoreDesc, 0, 6, 2, 6);
		this.gridLayout2.setComponentAlignment(this.labelMPMotoreDesc, Alignment.TOP_CENTER);
		this.labelMPBocche.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPBocche, 3, 6);
		this.gridLayout2.setComponentAlignment(this.labelMPBocche, Alignment.MIDDLE_RIGHT);
		this.labelMPBoccheVal.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPBoccheVal, 4, 6, 5, 6);
		this.gridLayout2.setComponentAlignment(this.labelMPBoccheVal, Alignment.MIDDLE_CENTER);
		this.labelMPPMot.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPPMot, 0, 7);
		this.gridLayout2.setComponentAlignment(this.labelMPPMot, Alignment.MIDDLE_RIGHT);
		this.labelMPPMotVal.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPPMotVal, 1, 7);
		this.gridLayout2.setComponentAlignment(this.labelMPPMotVal, Alignment.MIDDLE_RIGHT);
		this.label56.setWidth(100, Unit.PERCENTAGE);
		this.label56.setHeight(-1, Unit.PIXELS);
		this.gridLayout2.addComponent(this.label56, 2, 7);
		this.gridLayout2.setComponentAlignment(this.label56, Alignment.MIDDLE_LEFT);
		this.labelMPPotSon.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPPotSon, 3, 7);
		this.gridLayout2.setComponentAlignment(this.labelMPPotSon, Alignment.MIDDLE_RIGHT);
		this.labelMPPotSonVal.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPPotSonVal, 4, 7);
		this.gridLayout2.setComponentAlignment(this.labelMPPotSonVal, Alignment.MIDDLE_RIGHT);
		this.labelMPPotSonUM.setWidth(100, Unit.PERCENTAGE);
		this.labelMPPotSonUM.setHeight(-1, Unit.PIXELS);
		this.gridLayout2.addComponent(this.labelMPPotSonUM, 5, 7);
		this.gridLayout2.setComponentAlignment(this.labelMPPotSonUM, Alignment.MIDDLE_LEFT);
		this.labelMPRpm.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPRpm, 0, 8);
		this.gridLayout2.setComponentAlignment(this.labelMPRpm, Alignment.MIDDLE_RIGHT);
		this.labelMPRpmVal.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPRpmVal, 1, 8);
		this.gridLayout2.setComponentAlignment(this.labelMPRpmVal, Alignment.MIDDLE_RIGHT);
		this.label57.setWidth(100, Unit.PERCENTAGE);
		this.label57.setHeight(-1, Unit.PIXELS);
		this.gridLayout2.addComponent(this.label57, 2, 8);
		this.gridLayout2.setComponentAlignment(this.label57, Alignment.MIDDLE_LEFT);
		this.labelMPPresSon.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPPresSon, 3, 8);
		this.gridLayout2.setComponentAlignment(this.labelMPPresSon, Alignment.MIDDLE_RIGHT);
		this.labelMPPresSonVal.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelMPPresSonVal, 4, 8);
		this.gridLayout2.setComponentAlignment(this.labelMPPresSonVal, Alignment.MIDDLE_RIGHT);
		this.labelMPPresSonUM.setWidth(100, Unit.PERCENTAGE);
		this.labelMPPresSonUM.setHeight(-1, Unit.PIXELS);
		this.gridLayout2.addComponent(this.labelMPPresSonUM, 5, 8);
		this.gridLayout2.setComponentAlignment(this.labelMPPresSonUM, Alignment.MIDDLE_LEFT);
		this.gridLayout2.setColumnExpandRatio(0, 8.0F);
		this.gridLayout2.setColumnExpandRatio(1, 8.0F);
		this.gridLayout2.setColumnExpandRatio(2, 10.0F);
		this.gridLayout2.setColumnExpandRatio(3, 10.0F);
		this.gridLayout2.setColumnExpandRatio(4, 8.0F);
		this.gridLayout2.setColumnExpandRatio(5, 12.0F);
		this.gridLayout2.setColumnExpandRatio(6, 10.0F);
		this.gridLayout2.setColumnExpandRatio(7, 10.0F);
		this.gridLayout2.setColumnExpandRatio(8, 10.0F);
		final CustomComponent gridLayout2_vSpacer = new CustomComponent();
		gridLayout2_vSpacer.setSizeFull();
		this.gridLayout2.addComponent(gridLayout2_vSpacer, 0, 9, 8, 9);
		this.gridLayout2.setRowExpandRatio(9, 1.0F);
		this.gridLayout2.setSizeFull();
		this.panelMacchina.setContent(this.gridLayout2);
		this.panelMacchina.setSizeFull();
		this.horizontalLayout2.addComponent(this.panelMacchina);
		this.horizontalLayout2.setComponentAlignment(this.panelMacchina, Alignment.MIDDLE_CENTER);
		this.horizontalLayout2.setExpandRatio(this.panelMacchina, 10.0F);
		this.horizontalLayout.setSizeFull();
		this.verticalLayout.addComponent(this.horizontalLayout);
		this.verticalLayout.setComponentAlignment(this.horizontalLayout, Alignment.MIDDLE_CENTER);
		this.verticalLayout.setExpandRatio(this.horizontalLayout, 20.0F);
		this.horizontalLayout2.setSizeFull();
		this.verticalLayout.addComponent(this.horizontalLayout2);
		this.verticalLayout.setComponentAlignment(this.horizontalLayout2, Alignment.MIDDLE_CENTER);
		this.verticalLayout.setExpandRatio(this.horizontalLayout2, 13.0F);
		this.verticalLayout.setSizeFull();
		this.setContent(this.verticalLayout);
		this.setSizeFull();
	} // </generated-code>

	// <generated-code name="variables">
	private XdevLabel labelCRPt, labelCRPtVal, labelCRPtUM, labelCRQ, labelCRQVal, labelCRQUM, labelCRNQ, labelCRNQVal,
			label, labelCReta, labelCRetaVal, label82, labelCRPotSon, labelCRPotSonVal, label83, labelCRh, labelCRhVal,
			labelCRhUM, labelCRT, labelCRTVal, labelCRTUM, labelCRCPM, labelCRCPMVal, label86, labelCRrho020,
			labelCRrho020Val, label87, labelCRrhoXX, labelCRrhoXXVal, label88, labelMPQ, labelMPQVal, labelMPQUM,
			labelMPEsecuzione, labelMPEsecuzioneVal, labelMPModello, labelMPModelloVal, labelMPNQ, labelMPNQVal, label47,
			labelMPOrientamento, labelMPOrientamentoVal, labelMPPPt, labelMPPPtVal, labelMPPPtUM, labelMPAngolo,
			labelMPAngoloVal, label63, labelMPDATR, labelMPPPs, labelMPPPsVal, labelMPPPsUM, labelXXPt, labelXXPtVal,
			labelXXPtUM, labelXXPs, labelXXPsVal, labelXXPsUM, labelXXW, labelXXWVal, labelXXWUM, labelXXPotSon,
			labelXXPotSonVal, labelXXPotSonUM, label26, labelMPPD2Val, label60, labelMPW, labelMPWVal, labelMPWUM,
			labelMPMotore, labelMPMotoreVal, labelMPeta, labelMPetaVal, label51, labelMPMotoreDesc, labelMPBocche,
			labelMPBoccheVal, labelMPPMot, labelMPPMotVal, label56, labelMPPotSon, labelMPPotSonVal, labelMPPotSonUM,
			labelMPRpm, labelMPRpmVal, label57, labelMPPresSon, labelMPPresSonVal, labelMPPresSonUM;
	private XdevHorizontalLayout horizontalLayout, horizontalLayout2;
	private XdevImage imageLogo, image;
	private XdevPanel panelRicerca, panelMacchina, panelXXCxxM;
	private XdevGridLayout gridLayout, gridLayout2, gridLayout3;
	private XdevVerticalLayout verticalLayout, verticalLayout2;
	// </generated-code>

}
